Package com.usatiuk.dhfs.peerdiscovery

# Class PeerDiscoveryInfo.Builder

java.lang.Object
com.google.protobuf.AbstractMessageLite.Builder
com.google.protobuf.AbstractMessage.Builder<PeerDiscoveryInfo.Builder>
com.google.protobuf.GeneratedMessageV3.Builder<PeerDiscoveryInfo.Builder>
com.usatiuk.dhfs.peerdiscovery.PeerDiscoveryInfo.Builder

All Implemented Interfaces:
  `com.google.protobuf.Message.Builder`, `com.google.protobuf.MessageLite.Builder`, `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`, `PeerDiscoveryInfoOrBuilder`, `Cloneable`

Enclosing class:
  `PeerDiscoveryInfo`

public static final class PeerDiscoveryInfo.Builder extends com.google.protobuf.GeneratedMessageV3.Builder<PeerDiscoveryInfo.Builder> implements PeerDiscoveryInfoOrBuilder
Protobuf type `dhfs.peerdiscovery.PeerDiscoveryInfo`

## Method Summary

Modifier and Type
Method
Description
`PeerDiscoveryInfo.Builder`
`addRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
`PeerDiscoveryInfo`
`build()`
`PeerDiscoveryInfo`
`buildPartial()`
`PeerDiscoveryInfo.Builder`
`clear()`
`PeerDiscoveryInfo.Builder`
`clearField(com.google.protobuf.Descriptors.FieldDescriptor field)`
`PeerDiscoveryInfo.Builder`
`clearOneof(com.google.protobuf.Descriptors.OneofDescriptor oneof)`
`PeerDiscoveryInfo.Builder`
`clearPort()`
`uint32 port = 2;`
`PeerDiscoveryInfo.Builder`
`clearSecurePort()`
`uint32 securePort = 3;`
`PeerDiscoveryInfo.Builder`
`clearUuid()`
`string uuid = 1;`
`PeerDiscoveryInfo.Builder`
`clone()`
`PeerDiscoveryInfo`
`getDefaultInstanceForType()`
`static final com.google.protobuf.Descriptors.Descriptor`
`getDescriptor()`
`com.google.protobuf.Descriptors.Descriptor`
`getDescriptorForType()`
`int`
`getPort()`
`uint32 port = 2;`
`int`
`getSecurePort()`
`uint32 securePort = 3;`
`String`
`getUuid()`
`string uuid = 1;`
`com.google.protobuf.ByteString`
`getUuidBytes()`
`string uuid = 1;`
`protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable`
`internalGetFieldAccessorTable()`
`final boolean`
`isInitialized()`
`PeerDiscoveryInfo.Builder`
`mergeFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`PeerDiscoveryInfo.Builder`
`mergeFrom(com.google.protobuf.Message other)`
`PeerDiscoveryInfo.Builder`
`mergeFrom(PeerDiscoveryInfo other)`
`final PeerDiscoveryInfo.Builder`
`mergeUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)`
`PeerDiscoveryInfo.Builder`
`setField(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
`PeerDiscoveryInfo.Builder`
`setPort(int value)`
`uint32 port = 2;`
`PeerDiscoveryInfo.Builder`
`setRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field, int index, Object value)`
`PeerDiscoveryInfo.Builder`
`setSecurePort(int value)`
`uint32 securePort = 3;`
`final PeerDiscoveryInfo.Builder`
`setUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)`
`PeerDiscoveryInfo.Builder`
`setUuid(String value)`
`string uuid = 1;`
`PeerDiscoveryInfo.Builder`
`setUuidBytes(com.google.protobuf.ByteString value)`
`string uuid = 1;`

### Methods inherited from class com.google.protobuf.GeneratedMessageV3.Builder

`getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, getUnknownFields, getUnknownFieldSetBuilder, hasField, hasOneof, internalGetMapField, internalGetMapFieldReflection, internalGetMutableMapField, internalGetMutableMapFieldReflection, isClean, markClean, mergeUnknownLengthDelimitedField, mergeUnknownVarintField, newBuilderForField, onBuilt, onChanged, parseUnknownField, setUnknownFieldSetBuilder, setUnknownFieldsProto3`

### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

`findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

`addAll, addAll, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, newUninitializedMessageException`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.Message.Builder

`mergeDelimitedFrom, mergeDelimitedFrom`

### Methods inherited from interface com.google.protobuf.MessageLite.Builder

`mergeFrom`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### getDescriptor

public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

### internalGetFieldAccessorTable

protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

Specified by:
  `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3.Builder<PeerDiscoveryInfo.Builder>`

### clear

public PeerDiscoveryInfo.Builder clear()

Specified by:
  `clear` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clear` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clear` in class `com.google.protobuf.GeneratedMessageV3.Builder<PeerDiscoveryInfo.Builder>`

### getDescriptorForType

public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()

Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
Overrides:
  `getDescriptorForType` in class `com.google.protobuf.GeneratedMessageV3.Builder<PeerDiscoveryInfo.Builder>`

### getDefaultInstanceForType

public PeerDiscoveryInfo getDefaultInstanceForType()

Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

### build

public PeerDiscoveryInfo build()

Specified by:
  `build` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `build` in interface `com.google.protobuf.MessageLite.Builder`

### buildPartial

public PeerDiscoveryInfo buildPartial()

Specified by:
  `buildPartial` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

### clone

public PeerDiscoveryInfo.Builder clone()

Specified by:
  `clone` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clone` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clone` in class `com.google.protobuf.GeneratedMessageV3.Builder<PeerDiscoveryInfo.Builder>`

### setField

public PeerDiscoveryInfo.Builder setField(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)

Specified by:
  `setField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setField` in class `com.google.protobuf.GeneratedMessageV3.Builder<PeerDiscoveryInfo.Builder>`

### clearField

public PeerDiscoveryInfo.Builder clearField(com.google.protobuf.Descriptors.FieldDescriptor field)

Specified by:
  `clearField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearField` in class `com.google.protobuf.GeneratedMessageV3.Builder<PeerDiscoveryInfo.Builder>`

### clearOneof

public PeerDiscoveryInfo.Builder clearOneof(com.google.protobuf.Descriptors.OneofDescriptor oneof)

Specified by:
  `clearOneof` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearOneof` in class `com.google.protobuf.GeneratedMessageV3.Builder<PeerDiscoveryInfo.Builder>`

### setRepeatedField

public PeerDiscoveryInfo.Builder setRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field, int index, Object value)

Specified by:
  `setRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<PeerDiscoveryInfo.Builder>`

### addRepeatedField

public PeerDiscoveryInfo.Builder addRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)

Specified by:
  `addRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `addRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<PeerDiscoveryInfo.Builder>`

### mergeFrom

public PeerDiscoveryInfo.Builder mergeFrom(com.google.protobuf.Message other)

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<PeerDiscoveryInfo.Builder>`

### mergeFrom

public PeerDiscoveryInfo.Builder mergeFrom(PeerDiscoveryInfo other)

### isInitialized

public final boolean isInitialized()

Specified by:
  `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `com.google.protobuf.GeneratedMessageV3.Builder<PeerDiscoveryInfo.Builder>`

### mergeFrom

public PeerDiscoveryInfo.Builder mergeFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws IOException

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<PeerDiscoveryInfo.Builder>`
Throws:
  `IOException`

### getUuid

public String getUuid()
`string uuid = 1;`

Specified by:
  `getUuid` in interface `PeerDiscoveryInfoOrBuilder`
Returns:
  The uuid.

### getUuidBytes

public com.google.protobuf.ByteString getUuidBytes()
`string uuid = 1;`

Specified by:
  `getUuidBytes` in interface `PeerDiscoveryInfoOrBuilder`
Returns:
  The bytes for uuid.

### setUuid

public PeerDiscoveryInfo.Builder setUuid(String value)
`string uuid = 1;`

Parameters:
  `value` - The uuid to set.
Returns:
  This builder for chaining.

### clearUuid

public PeerDiscoveryInfo.Builder clearUuid()
`string uuid = 1;`

Returns:
  This builder for chaining.

### setUuidBytes

public PeerDiscoveryInfo.Builder setUuidBytes(com.google.protobuf.ByteString value)
`string uuid = 1;`

Parameters:
  `value` - The bytes for uuid to set.
Returns:
  This builder for chaining.

### getPort

public int getPort()
`uint32 port = 2;`

Specified by:
  `getPort` in interface `PeerDiscoveryInfoOrBuilder`
Returns:
  The port.

### setPort

public PeerDiscoveryInfo.Builder setPort(int value)
`uint32 port = 2;`

Parameters:
  `value` - The port to set.
Returns:
  This builder for chaining.

### clearPort

public PeerDiscoveryInfo.Builder clearPort()
`uint32 port = 2;`

Returns:
  This builder for chaining.

### getSecurePort

public int getSecurePort()
`uint32 securePort = 3;`

Specified by:
  `getSecurePort` in interface `PeerDiscoveryInfoOrBuilder`
Returns:
  The securePort.

### setSecurePort

public PeerDiscoveryInfo.Builder setSecurePort(int value)
`uint32 securePort = 3;`

Parameters:
  `value` - The securePort to set.
Returns:
  This builder for chaining.

### clearSecurePort

public PeerDiscoveryInfo.Builder clearSecurePort()
`uint32 securePort = 3;`

Returns:
  This builder for chaining.

### setUnknownFields

public final PeerDiscoveryInfo.Builder setUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `setUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<PeerDiscoveryInfo.Builder>`

### mergeUnknownFields

public final PeerDiscoveryInfo.Builder mergeUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `mergeUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<PeerDiscoveryInfo.Builder>`